<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="firewall" id="bytesperfrom" charttype="bars">

 <lire:title>Top Bytes per From-IP Report</lire:title>
 <lire:description>
  <para>
    This report lists the IP addresses sending the highest data volume.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="ips_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of sending IP adresses to
     display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Volume per sending IP, Top $ips_to_show</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-rcvd_volume" limit="$ips_to_show">
   <lire:field name="from_ip"/>
   <lire:sum name="rcvd_volume" field="length"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

